package com.palmnest.application.dto.output;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 服务之窗1L- RepairBillStateStatisticsDto
 *  订单状态统计表实体
 * @Description TODO
 * @author: jiangyong
 * @since: 2020/9/2 10:55
 */
public class RepairBillStateStatisticsDto {
    private Integer orgId; //项目id
    private String orgName;//项目名称
    private String date; //时间
    private Long repairTypeId; //维修大类id
    private String repairTypeName; //维修大类名称
    private Long repairTypeDetailId; //维修小类id
    private String repairTypeDetailName; //维修小类名称
    private int allBillTotal; //总工单数
    private int unfinishedTotal; //未完成数
    private int fillRate; //完成率 %
    private double jumpingTime;//耗时
    private int managerTotal; //工程人员
    private double ki; //平均评星
    private int billStatus1Total; //待审核数
    private int billStatus22Total; //待派单数
    private int billStatus2Total; //可抢单数
    private int billStatus3Total; //进行中
    private int billStatus4Total; //挂单中
    private int billStatus5Total; //转单中
    private int billStatus8Total; //已完成
    private int billStatus10Total; //已取消


    private int billSingleTotal; //已抢单 数量
    private Date singleTime; //抢单时间


    
    private int billTodayEndTotal; //今日完成数
    private BigDecimal fillTodayEndRate; //今日完成率

    private BigDecimal avgBillTime; //平均接单耗时
    private BigDecimal avgCompleteTime;//平均完成耗时
    //private String avgStar;//平均评星




    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getRepairTypeName() {
        return repairTypeName;
    }

    public void setRepairTypeName(String repairTypeName) {
        this.repairTypeName = repairTypeName;
    }

    public Long getRepairTypeId() {
        return repairTypeId;
    }

    public void setRepairTypeId(Long repairTypeId) {
        this.repairTypeId = repairTypeId;
    }

    public Long getRepairTypeDetailId() {
        return repairTypeDetailId;
    }

    public void setRepairTypeDetailId(Long repairTypeDetailId) {
        this.repairTypeDetailId = repairTypeDetailId;
    }

    public String getRepairTypeDetailName() {
        return repairTypeDetailName;
    }

    public void setRepairTypeDetailName(String repairTypeDetailName) {
        this.repairTypeDetailName = repairTypeDetailName;
    }

    public int getAllBillTotal() {
        return allBillTotal;
    }

    public void setAllBillTotal(int allBillTotal) {
        this.allBillTotal = allBillTotal;
    }

    public int getUnfinishedTotal() {
        return unfinishedTotal;
    }

    public void setUnfinishedTotal(int unfinishedTotal) {
        this.unfinishedTotal = unfinishedTotal;
    }

    public int getFillRate() {
        return fillRate;
    }

    public void setFillRate(int fillRate) {
        this.fillRate = fillRate;
    }

    public double getJumpingTime() {
        return jumpingTime;
    }

    public void setJumpingTime(double jumpingTime) {
        this.jumpingTime = jumpingTime;
    }

    public int getManagerTotal() {
        return managerTotal;
    }

    public void setManagerTotal(int managerTotal) {
        this.managerTotal = managerTotal;
    }

    public double getKi() {
        return ki;
    }

    public void setKi(double ki) {
        this.ki = ki;
    }

    public int getBillStatus1Total() {
        return billStatus1Total;
    }

    public void setBillStatus1Total(int billStatus1Total) {
        this.billStatus1Total = billStatus1Total;
    }

    public int getBillStatus22Total() {
        return billStatus22Total;
    }

    public void setBillStatus22Total(int billStatus22Total) {
        this.billStatus22Total = billStatus22Total;
    }

    public int getBillStatus2Total() {
        return billStatus2Total;
    }

    public void setBillStatus2Total(int billStatus2Total) {
        this.billStatus2Total = billStatus2Total;
    }

    public int getBillStatus3Total() {
        return billStatus3Total;
    }

    public void setBillStatus3Total(int billStatus3Total) {
        this.billStatus3Total = billStatus3Total;
    }

    public int getBillStatus4Total() {
        return billStatus4Total;
    }

    public void setBillStatus4Total(int billStatus4Total) {
        this.billStatus4Total = billStatus4Total;
    }

    public int getBillStatus5Total() {
        return billStatus5Total;
    }

    public void setBillStatus5Total(int billStatus5Total) {
        this.billStatus5Total = billStatus5Total;
    }

    public int getBillStatus8Total() {
        return billStatus8Total;
    }

    public void setBillStatus8Total(int billStatus8Total) {
        this.billStatus8Total = billStatus8Total;
    }

    public int getBillStatus10Total() {
        return billStatus10Total;
    }

    public void setBillStatus10Total(int billStatus10Total) {
        this.billStatus10Total = billStatus10Total;
    }

	public int getBillTodayEndTotal() {
		return billTodayEndTotal;
	}

	public void setBillTodayEndTotal(int billTodayEndTotal) {
		this.billTodayEndTotal = billTodayEndTotal;
	}

	public BigDecimal getFillTodayEndRate() {
		return fillTodayEndRate;
	}

	public void setFillTodayEndRate(BigDecimal fillTodayEndRate) {
		this.fillTodayEndRate = fillTodayEndRate;
	}


    public BigDecimal getAvgBillTime() {
        return avgBillTime;
    }

    public void setAvgBillTime(BigDecimal avgBillTime) {
        this.avgBillTime = avgBillTime;
    }

    public BigDecimal getAvgCompleteTime() {
        return avgCompleteTime;
    }

    public void setAvgCompleteTime(BigDecimal avgCompleteTime) {
        this.avgCompleteTime = avgCompleteTime;
    }


    public int getBillSingleTotal() {
        return billSingleTotal;
    }

    public void setBillSingleTotal(int billSingleTotal) {
        this.billSingleTotal = billSingleTotal;
    }

    public Date getSingleTime() {
        return singleTime;
    }

    public void setSingleTime(Date singleTime) {
        this.singleTime = singleTime;
    }
}
